<?PHP
/**
 * This file contains an exception class to be raised if users' password and
 * password verification don't match.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised if users' password and password
 * verification don't match.
 */
final class MDUserPasswordsDoNotMatch extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Passwords don\'t match: ' . $this->getMessage();

    }
}
